hu.akarnokd.rxjava2.string

## Class StringFlowable

- java.lang.Object
- - hu.akarnokd.rxjava2.string.StringFlowable

    public final class StringFlowable
    extends java.lang.Object

Utility class for String operations with `Flowable`s.

### Method Summary

All Methods Static Methods Concrete Methods
`static io.reactivex.Flowable<java.lang.Integer>` `characters(java.lang.CharSequence string)` Signals each character of the given string CharSequence as Integers.
`static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String>` `split(java.util.regex.Pattern pattern)` Splits the input sequence of strings based on a pattern even across subsequent elements if needed.
`static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String>` `split(java.util.regex.Pattern pattern, int bufferSize)` Splits the input sequence of strings based on a pattern even across subsequent elements if needed.
`static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String>` `split(java.lang.String pattern)` Splits the input sequence of strings based on a pattern even across subsequent elements if needed.
`static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String>` `split(java.lang.String pattern, int bufferSize)` Splits the input sequence of strings based on a pattern even across subsequent elements if needed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### characters

    public static io.reactivex.Flowable<java.lang.Integer> characters(java.lang.CharSequence string)

Signals each character of the given string CharSequence as Integers.

Parameters:
  `string` - the source of characters
Returns:
  the new Flowable instance

#### split

    public static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String> split(java.util.regex.Pattern pattern)

Splits the input sequence of strings based on a pattern even across subsequent elements if needed.

Parameters:
  `pattern` - the Rexexp pattern to split along
Returns:
  the new FlowableTransformer instance
Since:
  0.13.0

#### split

    public static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String> split(java.util.regex.Pattern pattern,
                                                                                            int bufferSize)

Splits the input sequence of strings based on a pattern even across subsequent elements if needed.

Parameters:
  `pattern` - the Rexexp pattern to split along
  `bufferSize` - the number of items to prefetch from the upstream
Returns:
  the new FlowableTransformer instance
Since:
  0.13.0

#### split

    public static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String> split(java.lang.String pattern)

Splits the input sequence of strings based on a pattern even across subsequent elements if needed.

Parameters:
  `pattern` - the Rexexp pattern to split along
Returns:
  the new FlowableTransformer instance
Since:
  0.13.0

#### split

    public static io.reactivex.FlowableTransformer<java.lang.String,java.lang.String> split(java.lang.String pattern,
                                                                                            int bufferSize)

Splits the input sequence of strings based on a pattern even across subsequent elements if needed.

Parameters:
  `pattern` - the Rexexp pattern to split along
  `bufferSize` - the number of items to prefetch from the upstream
Returns:
  the new FlowableTransformer instance
Since:
  0.13.0